import { BaseXform } from "../../base-xform.js";
import { ConditionalFormattingXform } from "./conditional-formatting-xform.js";
declare class ConditionalFormattingsXform extends BaseXform {
    cfXform: ConditionalFormattingXform;
    parser: any;
    constructor();
    get tag(): string;
    reset(): void;
    prepare(model: any, options: any): void;
    render(xmlStream: any, model: any): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    reconcile(model: any, options: any): void;
}
export { ConditionalFormattingsXform };
